import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:{{#snakeCase}}{{project_name}}{{/snakeCase}}/domain/entities/integer.dart';

part 'integer_model.freezed.dart';
part 'integer_model.g.dart';

@freezed
class IntegerModel extends Integer with _$IntegerModel {
  const factory IntegerModel({
    required int value,
  }) = _IntegerModel;

  factory IntegerModel.fromJson(Map<String, Object?> json) =>
      _$IntegerModelFromJson(json);
}
